{ pkgs, flake, ... }:
let
  inherit (flake.config.aesthetics.themes) fonts;
in
{
  services = {
    displayManager = {
      sddm = {
        enable = true;
        enableHidpi = true;
        theme = "catppuccin-macchiato";
      };
    };
  };
  environment = {
    systemPackages = [
      (pkgs.catppuccin-sddm.override {
        flavor = "macchiato";
        font = "${fonts.names.name0}";
        fontSize = "${toString fonts.sizes.desktop.size0}";
        loginBackground = true;
      })
    ];
  };
}
