{
  config,
  flake,
  lib,
  pkgs,
  ...
}:
let
  inherit (flake.config.people)
    user0
    user1
    user2
    ;
  inherit (flake.config.machines) devices;
  venus = devices.venus.name;
  charon = devices.charon.name;
  mars = devices.mars.name;

  host = config.networking.hostName;
in
{
  services = {
    greetd = {
      enable = false;
      vt = 7;
      settings = {
        default_session = {
          command = "${pkgs.greetd.tuigreet}/bin/tuigreet --time --time-format '%I:%M %p | %a • %h | %F' --theme border=magenta;text=cyan;prompt=green;time=red;action=blue;button=yellow;container=black;input=red --cmd Hyprland";
          user =
            if host == mars then
              "greeter"
            else if host == charon then
              user1
            else if host == venus then
              user2
            else
              user0;
        };
      };
    };
  };
}
