{ pkgs, flake, ... }:
{
  environment.sessionVariables.NIXOS_OZONE_WL = "1";

  xdg = {
    portal = {
      enable = true;
      config = {
        niri = {
          default = [
            "wlr"
            "gtk"
            "gnome"
          ];
        };
      };

      wlr.enable = true;
      config.common.default = "*";
      xdgOpenUsePortal = true;
      extraPortals = builtins.attrValues {
        inherit (pkgs)
          xdg-desktop-portal-gtk
          xdg-desktop-portal-gnome
          # xdg-desktop-portal-hyprland
          xdg-desktop-portal-wlr
          ;
        inherit (pkgs.kdePackages)
          xdg-desktop-portal-kde
          ;
      };
    };
  };

}
