{
  pkgs,
  config,
  ...
}:
let

  hyprland = config.programs.hyprland.enable;
  niri = config.programs.niri.enable;
in
{
  hardware = {
    bluetooth = {
      enable = true;
      package = pkgs.bluez;
      powerOnBoot = true;
      settings = {
        General = {
          Experimental = true;
          Disable = "Headset";
        };
      };
      disabledPlugins = [
        "sap"
      ];
    };
  };
  services.blueman.enable = if hyprland || niri == true then true else false;
}
